--***************************************************************
-- マップ０１＿１のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map01_1EventBehind(msgFlg)
	local ret = 0;

	--宝箱を調べる
	msgFlg, ret = TakaraBakoSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--宝箱を調べる
function TakaraBakoSearch(msgFlg)
	--***************************************************************
	-- まだクッションブーツを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(704, 84, 0, DIRECTION_LEFT, "のど飴", 12, 13);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg12 = getEventFlg(12);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg12 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(12, 3);

		-- アイテムゲット！
		addGetItem(3, 1);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
-- マップ０１＿１のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map01_1EventBefore(msgFlg)
	local ret = 0;

	--スクロールリミット
	msgFlg, ret = ScrollLimit(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--開始直後イベント
	msgFlg, ret = StartEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--アイテムメニュー
	msgFlg, ret = ItemEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--***************************************************************
--スクロールリミット
--***************************************************************
function ScrollLimit(msgFlg)
	--***************************************************************
	-- プレイヤーの位置情報の取得
	--***************************************************************
	local posX, posY, posZ = getPlayerPos();

	--***************************************************************
	-- マップ左端
	--***************************************************************
	if posX < 32 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 10, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("おっと、もう後戻りはできないぜ。", LUA_WHITE);
			setStringNext("祓串は装備しなくてもジャンプが制限されるからな。", LUA_WHITE);
			setStringNext("どうする？", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("くっ・・・図ったわね・・・", LUA_WHITE);
			setStringNext("先に進むほかないというわけか・・・", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 1 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- プレイヤー位置／向きの設定
				setPlayerPos(32, 214 - (MOVE_SIZE / 2), 0, DIRECTION_RIGHT);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, -1
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--開始直後
--***************************************************************
function StartEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg11 = getEventFlg(11);

	--***************************************************************
	-- 開始直後（会話）
	--***************************************************************
	if eventFlg11 == 0 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_RIGHT, KAO_GRA_RUKA, 0, KAO_GRA_EFFECT_HEADSET, TRUE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("魔理沙", LUA_SKYBLUE);
			setStringNext("さぁ、ここからが本番だ。", LUA_WHITE);
			setStringNext("ここは「闇の洞窟」。", LUA_WHITE);
			setStringNext("ここを抜け出すのが目的だぜ。", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_HEADSET, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("分かったわ。", LUA_WHITE);
			setStringNext("とりあえず地上に出なきゃね。", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 1 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(11, 1);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
--アイテムメニュー
--***************************************************************
function ItemEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg13 = getEventFlg(13);

	--***************************************************************
	-- ３つ目の操作説明（アイテム）
	--***************************************************************
	if eventFlg13 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispManualPreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			-- マニュアル設定（アイテム）
			setManualPage(MANUAL_PAGE_ITEM, MANUAL_PLAYING);

			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(13, 2);
			else
				msgFlg = msgFlg + 1
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 2
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

