--***************************************************************
-- マップ０１＿２のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map01_2EventBehind(msgFlg)
	local ret = 0;

	--ネギイベント
	msgFlg, ret = NegiSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	--ドラゴンの顔を調べる
	msgFlg, ret = DragonFaceSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--ネギイベント
function NegiSearch(msgFlg)
	--***************************************************************
	-- まだ魔法のネギを取っていない場合
	--***************************************************************
	local iRet = negiEvent(32, 290, 0, DIRECTION_RIGHT, "祓串", 16, 0);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg16 = getEventFlg(16);

	--***************************************************************
	-- ネギを取得し終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg16 == 1 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(16, 2);

		-- アイテムゲット！
		addGetWeapon(1, 1);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--ドラゴンの顔を調べる
function DragonFaceSearch(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg17 = getEventFlg(17);
	local eventFlg20 = getEventFlg(20);
	local eventFlg26 = getEventFlg(26);

	--***************************************************************
	-- ドラゴンの顔を調べていない場合
	--***************************************************************
	if eventFlg17 == 0 then
		--***************************************************************
		-- 「！」アイコン表示中に調べたかチェック
		--　第１～３引数は、判定円の中心座標（ｘ、ｙ、ｚ）
		--　第４引数は判定円の半径
		--　checkPinSearchはEventBeforeではなくEventBehindで呼ぶこと
		--（EventBeforeに書くと１回攻撃してしまう）
		--***************************************************************
		local retValue = checkPinSearch(440, 400, 0, 16);
		if retValue == TRUE then
			--ベルを持っているか、古びた羊皮紙のイベント実施済みかでシナリオ分岐
			if eventFlg26 == 0 or eventFlg20 ~= 2 then
				setEventFlg(17, 1);
			else
				setEventFlg(17, 2);
			end
		end
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, 0
end

--***************************************************************
-- マップ０１＿２のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map01_2EventBefore(msgFlg)
	local ret = 0;

	--ドラゴンの顔イベント
	msgFlg, ret = DragonFaceEvent(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--***************************************************************
--ドラゴンの顔イベント
--***************************************************************
function DragonFaceEvent(msgFlg)
	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg17 = getEventFlg(17);

	--***************************************************************
	-- ドラゴンの顔を調べた（ベルを持っていない）
	--***************************************************************
	if eventFlg17 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight = dispTalkMessagePreparation2();

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("意味ありげなドラゴンの像があるわね。", LUA_GREEN);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 and isCtrlCircle() then
			-- 0.15秒待つ
			waitVn(9);
			-- メッセージ終了処理
			endMessageString();
			-- 次のメッセージ処理
			if msgFlg == 0 then
				-- 操作禁止フラグの解除
				setNoOperationFlg(FALSE);
				-- メッセージの終了
				msgFlg = 0;
				-- イベントフラグを１つ進める
				setEventFlg(17, 0);
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, 0
	end

	--***************************************************************
	-- ドラゴンの顔を調べた（ベルを持っている）
	--***************************************************************
	if eventFlg17 == 2 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 6, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("「ドラゴンはベルの音が好きだ」か。", LUA_WHITE);
			setStringNext("ここでベルを鳴らせば良さそうね。", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
			-- 効果音フラグの設定
			setSEFlg(0);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation2();
			--このメッセージが表示されると同時にベルの音が鳴る
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("ベルを鳴らした。", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("ドラゴンの像が口を開いた！", LUA_GREEN);
			setStringNext("口の中には綺麗なオーブがある。", LUA_GREEN);
			-- ここでドラゴンオーブ取得なんだが、紅魔城伝説みたいにキュィーンとオーブが光る演出を入れたい
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRetValue = 0;	--戻り値（通常は０、アイテム取得時は１）
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 then
			if getSEFlg() == 0 then
				setSEFlg(1);
			else
				if getSEFlg() == 1 then
				-- WEB WAVE LIBのBellH@11.wavをmp3に変換したものを鳴らす
					playMP3NormalAfterBeforePlayMp3(MP3_SE_BELL);
					setSEFlg(2);
				end
			end
			if isCtrlCircle() then
				-- 0.15秒待つ
				waitVn(9);
				-- メッセージ終了処理
				endMessageString();
				-- 次のメッセージ処理
				if msgFlg == 2 then
					-- 操作禁止フラグの解除
					setNoOperationFlg(FALSE);
					-- メッセージの終了
					msgFlg = 0;
					-- イベントフラグを１つ進める
					setEventFlg(17, 3);
					--アイテム取得構造体設定（アイテム名、宝箱フラグ、設定するイベントフラグ、連動するイベントフラグ）
					setGetItemInfo("ドラゴンオーブ", FALSE, 18, 0);
					--playerInfo.getItem配列の値設定
					setGetItem(5, 1);
					-- 効果音フラグの設定
					setSEFlg(0);
					--アイテム取得時の戻り値は１
					iRetValue = 1;
				else
					msgFlg = msgFlg + 1
				end
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, iRetValue
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

