--***************************************************************
-- マップ０１＿３のプレイヤーキャラクターの奥に描画するイベント
--***************************************************************
function Map01_3EventBehind(msgFlg)
	local ret = 0;

	--宝箱を調べる
	msgFlg, ret = TakaraBakoSearch(msgFlg);
	if ret ~= -1 then
		-- 戻り値設定
		return msgFlg, ret
	end

	return msgFlg, -1
end

--宝箱を調べる
function TakaraBakoSearch(msgFlg)
	--***************************************************************
	-- まだ古びた羊皮紙を取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(48, 1071, 0, DIRECTION_RIGHT, "古びた羊皮紙", 19, 20);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg19 = getEventFlg(19);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg19 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(19, 3);

		-- アイテムゲット！
		setGetItem(6, 1);
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg20 = getEventFlg(20);

	--***************************************************************
	-- 古びた羊皮紙取得後のイベント
	--***************************************************************
	if eventFlg20 == 1 then
		--***************************************************************
		-- 会話メッセージ準備
		--***************************************************************
		local msgWakuHight;

		--***************************************************************
		-- メッセージ設定
		--***************************************************************
		initMessageString();
		if msgFlg == 0 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 1, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("なんか古びた羊皮紙だなぁ。", LUA_WHITE);
			setStringNext("ん？", LUA_WHITE);
			setStringNext("何か書かれているわね、何々…", LUA_WHITE);
			-- 操作禁止フラグの設定
			setNoOperationFlg(TRUE);
		end
		if msgFlg == 1 then
			msgWakuHight = dispTalkMessagePreparation2();
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("封印の障壁の鍵。", LUA_GREEN);
			setStringNext("①ドラゴンはベルの音が好きだ。", LUA_GREEN);
			setStringNext("②封印の障壁近くでオーブを掲げよ。", LUA_GREEN);
			setStringNext("さすれば道は開かれん。", LUA_GREEN);
		end
		if msgFlg == 2 then
			msgWakuHight = dispTalkMessagePreparation4(KAO_GRA_LEFT, KAO_GRA_MIKU, 10, KAO_GRA_EFFECT_NOTHING, FALSE);
			--             ■■■■■■■■■■■■■■■■■■■■■■■■■
			setStringNext("霊夢", LUA_SKYBLUE);
			setStringNext("魔理沙、凝っているなぁ。", LUA_WHITE);
			setStringNext("一応もらっとくか。", LUA_WHITE);
		end

		--***************************************************************
		-- メッセージ描画
		--***************************************************************
		local iRetValue = 0;	--戻り値（通常は０、アイテム取得時は１）
		local iRet = dispTalkMessage(msgWakuHight);
		if iRet == 1 then
			if isCtrlCircle() then
				-- 0.15秒待つ
				waitVn(9);
				-- メッセージ終了処理
				endMessageString();
				-- 次のメッセージ処理
				if msgFlg == 2 then
					-- 操作禁止フラグの解除
					setNoOperationFlg(FALSE);
					-- メッセージの終了
					msgFlg = 0;
					-- イベントフラグを１つ進める
					setEventFlg(20, 2);
				else
					msgFlg = msgFlg + 1
				end
			end
		end

		--***************************************************************
		-- 戻り値設定
		--***************************************************************
		return msgFlg, iRetValue
	end

	--***************************************************************
	-- まだパワーグローブを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(912, 210, 0, DIRECTION_LEFT, "パワーグローブ", 21, 0);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg21 = getEventFlg(21);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg21 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(21, 3);

		-- アイテムゲット！
		setGetItem(1, 1);
	end

	--***************************************************************
	-- まだレザージャケットを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(284, 110, 0, DIRECTION_LEFT, "レザージャケット", 22, 0);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg22 = getEventFlg(22);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg22 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(22, 3);

		-- アイテムゲット！
		setGetArmor(1, 1);
	end

	--***************************************************************
	-- まだチョコレートを取っていない場合
	--***************************************************************
	local iRet = openTakaraBako(192, 751, 0, DIRECTION_RIGHT, "チョコレート", 23, 0);
	if iRet == 1 then
		return msgFlg, 1;
	end

	--***************************************************************
	-- イベントフラグ情報の取得
	--***************************************************************
	local eventFlg23 = getEventFlg(23);

	--***************************************************************
	-- 宝箱を開け終わったらアイテム入手などの処理を行う
	--***************************************************************
	if eventFlg23 == 2 then
		-- イベントフラグを１つ進める
		-- こうしないと消費アイテムを入手後に使ってもなくならなくなってしまうため
		setEventFlg(23, 3);

		-- アイテムゲット！
		setGetItem(4, 1);
	end

	--***************************************************************
	-- 戻り値設定
	--***************************************************************
	return msgFlg, -1
end

--***************************************************************
-- マップ０１＿３のプレイヤーキャラクターの手前に描画するイベント
--***************************************************************
function Map01_3EventBefore(msgFlg)
	local ret = 0;

	--開始直後イベント
--	msgFlg, ret = StartEvent(msgFlg);
--	if ret ~= -1 then
		-- 戻り値設定
--		return msgFlg, ret
--	end

	return msgFlg, -1
end
